> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bastion.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Webhook

> Delete a webhook by ID



## OpenAPI

````yaml /v2/openapi.yaml delete /v2/webhooks/{id}
openapi: 3.1.0
info:
  title: Bastion APIs
  version: '2.0'
servers:
  - url: https://api.prod.bastion.com
    description: Production environment
  - url: https://api.sandbox.bastion.io
    description: Sandbox environment
security:
  - auth: []
tags:
  - name: Bastion APIs
paths:
  /v2/webhooks/{id}:
    delete:
      tags:
        - Webhooks
      summary: Delete Webhook
      description: Delete a webhook by ID
      operationId: bastion.api.v2.API.DeleteWebhook
      parameters:
        - name: id
          in: path
          description: The ID of the webhook to delete
          required: true
          schema:
            type: string
            title: id
      responses:
        '204':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bastion.api.v2.DeleteWebhookResponse'
        '400':
          description: Bad request
        '404':
          description: Webhook not found
        '500':
          description: Internal Server Error
components:
  schemas:
    bastion.api.v2.DeleteWebhookResponse:
      type: object
      title: DeleteWebhookResponse
      additionalProperties: false
  securitySchemes:
    auth:
      type: http
      description: Bearer authentication with an API token
      scheme: bearer

````

## Related topics

- [Delete Signing Key](/v2/api-reference/signing-keys/delete-signing-key.md)
- [Webhooks API overview](/v2/api-reference/webhooks/overview.md)
- [List Webhooks](/v2/api-reference/webhooks/list-webhooks.md)
- [Create Webhook](/v2/api-reference/webhooks/create-webhook.md)
- [Rotate Webhook Signing Key](/v2/api-reference/webhooks/rotate-webhook-signing-key.md)
